<?php

function VP($param)
{
    if($param == ''){
        exit();
    }else{
        var_dump($param);exit;
    }
}

function isValidString($input) {
    // 正则说明：^表示字符串开始，$表示字符串结束
    // [a-zA-Z0-9]匹配所有字母和数字
    // +表示至少出现1次
    return preg_match('/^[a-zA-Z0-9]+$/', $input);
}

function objectToArray($e)
{
    $e=(array)$e;
    foreach($e as $k=>$v){
        if( gettype($v)=='resource' ) return;
        if( gettype($v)=='object' || gettype($v)=='array' )//多级对象
            $e[$k]=(array)objectToArray($v);
    }
    return $e;
}
